"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

var _asyncToGenerator2 = _interopRequireDefault(require("@babel/runtime/helpers/asyncToGenerator"));

/*
  Copyright 2018 Google LLC

  Use of this source code is governed by an MIT-style
  license that can be found in the LICENSE file or at
  https://opensource.org/licenses/MIT.
*/
const askConfigLocation = require('./ask-config-location');

const askExtensionsToCache = require('./ask-extensions-to-cache');

const askRootOfWebApp = require('./ask-root-of-web-app');

const askSWDest = require('./ask-sw-dest');

const askSWSrc = require('./ask-sw-src');

module.exports =
/*#__PURE__*/
function () {
  var _ref = (0, _asyncToGenerator2.default)(function* (options = {}) {
    const globDirectory = yield askRootOfWebApp();
    const globPatterns = yield askExtensionsToCache(globDirectory);
    const swSrc = options.injectManifest ? yield askSWSrc() : undefined;
    const swDest = yield askSWDest(globDirectory);
    const configLocation = yield askConfigLocation();
    const config = {
      globDirectory,
      globPatterns,
      swDest,
      swSrc
    };
    return {
      config,
      configLocation
    };
  });

  return function () {
    return _ref.apply(this, arguments);
  };
}();