"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

var _asyncToGenerator2 = _interopRequireDefault(require("@babel/runtime/helpers/asyncToGenerator"));

/*
  Copyright 2018 Google LLC

  Use of this source code is governed by an MIT-style
  license that can be found in the LICENSE file or at
  https://opensource.org/licenses/MIT.
*/
const assert = require('assert');

const inquirer = require('inquirer');

const path = require('path');

const errors = require('../errors'); // The key used for the question/answer.


const name = 'swDest';
/**
 * @param {string} defaultDir
 * @return {Promise<Object>} The answers from inquirer.
 */

function askQuestion(defaultDir) {
  return inquirer.prompt([{
    name,
    message: `Where would you like your service worker file to be saved?`,
    type: 'input',
    default: path.join(defaultDir, 'sw.js')
  }]);
}

module.exports =
/*#__PURE__*/
function () {
  var _ref = (0, _asyncToGenerator2.default)(function* (defaultDir = '.') {
    const answers = yield askQuestion(defaultDir);
    const swDest = answers[name].trim();
    assert(swDest, errors['invalid-sw-dest']);
    return swDest;
  });

  return function () {
    return _ref.apply(this, arguments);
  };
}();